Esta página se ha traducido con Cloud Translation API.
Switch to English

Migra tus plantillas a Python 3

A partir del 1 de enero de 2020, la comunidad de Python dejará de actualizar, corregir errores o solucionar problemas de seguridad de parches para Python 2.7. Les recomendamos que se aseguren de que sus plantillas de Deployment Manager sean compatibles con Python 3 lo antes posible.

Para obtener una descripción general de los productos afectados por este cambio, incluida la información sobre el uso de las bibliotecas cliente de Google Cloud Python, consulta Asistencia de Python en Google Cloud.

Cómo migrar sus plantillas de Deployment Manager

La sintaxis de Deployment Manager no utiliza funciones específicas de Python 3. En la mayoría de los casos, tus plantillas deberían funcionar con Python 3 sin requerir cambios de código.

Si usas módulos de plantilla, como las secuencias de comandos de ayuda, debes asegurarte de que las secuencias de comandos sean compatibles con Python 3.

Para obtener información sobre cómo transferir el código de Python 2 a Python 3, consulta la guía de transferencia de Python.org. Si quieres probar si tu plantilla es compatible con Python 3, prueba una implementación de prueba con la plantilla. Si la implementación se realiza correctamente sin advertencias, la plantilla es compatible y no necesita cambios

Si tus plantillas tienen características que son incompatibles con Python 3, tus implementaciones continuarán funcionando hasta junio de 2020. Es posible que veas una de estas advertencias:

  • La plantilla no es compatible con Python 3: la plantilla se ejecuta con Python 2, pero falla con Python 3. La advertencia muestra el mensaje de error de Python 3 para que puedas depurar el código.

  • La plantilla produjo resultados diferentes de Python 3 y Python 2: esto podría deberse a que tu implementación no es determinante (por ejemplo, depende de la hora actual o de números aleatorios), o una plantilla podría estar usando un elemento incompatible con Python 3. Si tu plantilla no es determinista por diseño, no es necesario que la modifiques.

    Si tu plantilla utiliza una función que es incompatible con Python 3, usa los lineamientos de la guía de portabilidad de Python 3 para actualizar la plantilla.